Package com.beust.jcommander

# Class StringKey

java.lang.Object
com.beust.jcommander.StringKey

public class StringKey extends Object

## Constructor Summary

Constructors
Constructor
Description
`StringKey(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringKey

public StringKey(String name)

## Method Details

### getName

public String getName()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`